class Client {
    constructor() {
        this.connected = false;
        let uri = 'ws://localhost:8082';
        this.progress = document.getElementById('progress');
        this.client = new WebSocket(uri);
        this.client.onopen = this.onOpen.bind(this);
        this.client.onmessage = this.onMessage.bind(this);
    }
    onMessage(event) {
        const state = JSON.parse(event.data);
        if (typeof state.sequence !== 'undefined' && state.sequence !== null) {
            this.setSequence(state.sequence);
        }
    }
    onOpen(event) {
        console.log('Connected');
        this.connected = true;
    }
    setSequence(sequence) {
        const percent = sequence.progress * 100.0;
        this.progress.value = percent;
        this.progress.innerText = `${Math.floor(percent)}%`;
    }
    cameraOpen() {
        console.log('camera open');
        this.client.send(JSON.stringify({ cmd: 'open' }));
    }
}
const client = new Client();
//# sourceMappingURL=index.js.map